#
# spec file for package sblim-cmpi-params
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sblim-cmpi-params
Url:            http://sblim.wiki.sourceforge.net/
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
BuildRequires:  sblim-cmpi-base-devel
BuildRequires:  sblim-indication_helper-devel
BuildRequires:  sblim-sfcb
BuildRequires:  sblim-testsuite
%if 0%{?suse_version}
BuildRequires:  openslp-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        SBLIM Linux Kernel Parameter Instrumentation for CMPI
License:        EPL-1.0
Group:          System/Management
Version:        1.3.0
Release:        2.3
Requires:       sblim-cmpi-base >= 1.2.3, cim-server
Source0:        http://prdownloads.sourceforge.net/sblim/sblim-cmpi-params-%{version}.tar.bz2
#!BuildIgnore:  tog-pegasus

%description
The various kernel parameter providers in this package expose the Linux
kernel parameters that are accessible under subdirs of /proc/sys/. Each
subdir contains kernel parameters for the respective kernel function,
and is implemented as a separate CIM_Setting subclass. Each provider
acts as instrumentation for that particular kernel parameter subclass.

The respective kernel parameter providers allow an administrator to
view and possibly modify the many different kernel parameters of a
Linux system via the CIMOM. All kernel parameters settings can be
viewed, however only those parameters whose associated file is
writeable can be modified.



Authors:
--------
    SBLIM Project

%prep
%setup -n %{name}-%{version}

%build
%configure --disable-static
%{__make}

%install
%if 0%{?suse_version}
%makeinstall docdir=%{_docdir}/%{name}
%else
make install DESTDIR=%{buildroot} docdir=%{_docdir}/%{name}-%{version}
%endif
rm %buildroot%_libdir/cmpi/*.la

%clean
%{__rm} -rf %{buildroot}

%post
%define mofs Linux_ABIParameter Linux_KernelParameter Linux_FileSystemParameter Linux_NetworkCoreParameter Linux_NetworkIPv4Parameter Linux_NetworkUnixParameter Linux_VirtualMemoryParameter
# compile MOF
d=%_datadir/%name
for i in %mofs; do
	$d/provider-register.sh -r $d/$i.registration -m $d/$i.mof
done

%preun
if [ "$1" = 0 ]; then
	d=%_datadir/%name
	for i in %mofs; do
		$d/provider-register.sh -d -r $d/$i.registration -m $d/$i.mof
	done
fi

%files
%defattr(-,root,root)
%{_libdir}/cmpi/*.so
%{_datadir}/sblim-testsuite/*
%{_datadir}/%{name}
%if 0%{?suse_version}
%doc %{_docdir}/%{name}
%else
%doc %{_docdir}/%{name}-%{version}
%endif

%changelog
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Oct  1 2009 mhrusecky@suse.cz
- updated to 1.3.0
  - updated URL for CPL
  - migrate license to EPL
  - fixed upstream bugs:
  * 1601590 Handling of files with no read access fixed
    (test capability)
* Tue May 12 2009 mhrusecky@suse.cz
- ignoring tog-pegasus during build
* Fri Sep 12 2008 mmarek@suse.cz
- switch to sfcb
* Thu Nov  1 2007 mmarek@suse.cz
- updated to 1.2.6
  fixed upstream bugs:
  * 1601590 Test script of Linux_FileSystemParameter class
  * 1199129 Providers won't compile with CMPI 1.0
  * 1532567 cmpi-params - crash if missing class directory
- removed static libs
* Mon Jan 22 2007 mrueckert@suse.de
- added sblim-cmpi-params-1.2.4.tmpfilenull.patch (#192297):
  properly handled cases where the tmpfile is NULL
* Wed Mar  1 2006 mrueckert@suse.de
- update to 1.2.4 [#144214]
- dropped all patches as the build system has changed
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 ro@suse.de
- fix filelist
* Tue Dec 13 2005 mrueckert@suse.de
- Update to 1.2.3
- build with openwbem
- build with optflags
- update to new loadmof/rmmof syntax
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Wed May 12 2004 nashif@suse.de
- Do not De-register when updating package
* Mon May 10 2004 nashif@suse.de
- Dereigster providers when uninstalling (#39667)
- test scripts incorrectly check file read/write permission (#40262)
* Fri Apr 30 2004 nashif@suse.de
- Update to version 1.2.1
* Wed Apr 14 2004 nashif@suse.de
- Added PreReq for loadmof.sh
* Wed Apr  7 2004 nashif@suse.de
- Initial Release
